> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/set-device-info.md).

# Set Device Info

Right after `MagicPixel.init` method is invoked and is ready, execute the below method with below parameters. This sets all the necessary values for new facebook tag requirements for mobile apps and can be expanded for other future tags.

Copy

```
MagicPixel.setDeviceInfo({
  timezone_abbreviation: 'CST', // *REQUIRED* short 3 letter timezone representation
  package_name: 'com.company.app.name', // *REQUIRED* package name of your application
  short_version: '1.0', // short version number
  long_version: '1.0 long', // long version number
  os_version: '13.0.2', // *REQUIRED* iOS or Android OS version
  device_model_name: 'iPhone5,1', // *REQUIRED*
  locale: 'En_US', // *REQUIRED*
  carrier: 'Airtel', // *REQUIRED*
  screen_width: 320, // *REQUIRED* example - don't hard code
  screen_height: 568, // *REQUIRED* example - don't hard code
  screen_density: 2, // *REQUIRED* example - don't hard code
  cpu_cores: 2, // example - don't hard code
  ext_storage: 13, // example - don't hard code - Storage in GB
  free_storage: 8, // example - don't hard code - Free space in GB
  device_timezone: 'USA/New York', // *REQUIRED*
});
```

#### [Direct link to heading](#magicpixel-setup-information) MagicPixel setup information

These fields are all available under `device_info` object in MagicPixel. When creating data element, set it up as a MagicPixel Data Layer Item with value such as `device_info.package_name` for example.

[PreviousTracking Events](https://magic-pixel.gitbook.io/ingest-labs-implementation/react-native-sdk/tracking-events) [NextSet Customer Info](https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/set-customer-info.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/set-device-info.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
